user  nginx;
worker_processes  1;

error_log /dev/stderr notice;
pid /tmp/nginx.pid;

events {
    worker_connections  1024;
}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    access_log  /dev/stdout combined;

    sendfile on;
    keepalive_timeout 65;
    gzip on;

    $EXTRA_HTTP_CONFIG

    server {
        listen *:80;
        server_name "";
        
        $EXTRA_SERVER_CONFIG

        location / {
            proxy_pass $PROXY_PASS;
            $EXTRA_LOCATION_CONFIG
        }
  }
}

